View Issue Details

IDProjectCategoryView StatusLast Update
0023264mantisbtapi restpublic2017-10-08 23:52
ReporterelmarculinoAssigned Tocommunity 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.5.1 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023264: Custom fields not been saved when adding issue through the Rest API
Description

When I try to add an issue through the Rest API, I get an '500 Internal Server Error', the issue is added to the database but not the custom fields.
If I try to add an invalid format of the custom fields item in the json, an I get an error informing this. So, when the json is rigth the above error ocurrs.

Steps To Reproduce

Add and issue with custom field through the Rest API

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master a1b8718b

2017-09-28 23:23:05

elmarculino


Committer: vboctor Details Diff
Fix custom field handling in REST API

Fix the custom field handling when creating issues via REST APIs.

Fixes 0023264
mod - api/soap/mc_issue_api.php Diff File

Issue History

Date Modified Username Field Change
2017-08-25 20:40 elmarculino New Issue
2017-09-04 10:02 dregad Assigned To => community
2017-09-04 10:02 dregad Status new => assigned
2017-09-04 10:02 dregad Note Added: 0057608
2017-09-04 10:02 dregad Target Version => 2.7.0
2017-09-28 21:45 vboctor Note Added: 0057837
2017-09-28 23:24 vboctor Changeset attached => MantisBT master a1b8718b
2017-09-28 23:24 vboctor Assigned To community => vboctor
2017-09-28 23:24 vboctor Status assigned => resolved
2017-09-28 23:24 vboctor Resolution open => fixed
2017-09-28 23:24 vboctor Fixed in Version => 2.7.0
2017-09-29 01:34 atrol Assigned To vboctor => community
2017-10-08 23:52 vboctor Status resolved => closed